### Enumeration

# Gtk ConstraintAttribute

#### Declaration

    enum Gtk.ConstraintAttribute

#### Description [src]

The widget attributes that can be used when creating a `GtkConstraint`.

#### Members

Name | Description
--- | ---
`GTK_CONSTRAINT_ATTRIBUTE_NONE` | No attribute, used for constant relations.
`GTK_CONSTRAINT_ATTRIBUTE_LEFT` | The left edge of a widget, regardless of text direction.
`GTK_CONSTRAINT_ATTRIBUTE_RIGHT` | The right edge of a widget, regardless of text direction.
`GTK_CONSTRAINT_ATTRIBUTE_TOP` | The top edge of a widget.
`GTK_CONSTRAINT_ATTRIBUTE_BOTTOM` | The bottom edge of a widget.
`GTK_CONSTRAINT_ATTRIBUTE_START` | The leading edge of a widget, depending on text direction; equivalent to `GTK_CONSTRAINT_ATTRIBUTE_LEFT` for LTR languages, and `GTK_CONSTRAINT_ATTRIBUTE_RIGHT` for RTL ones.
`GTK_CONSTRAINT_ATTRIBUTE_END` | The trailing edge of a widget, depending on text direction; equivalent to `GTK_CONSTRAINT_ATTRIBUTE_RIGHT` for LTR languages, and `GTK_CONSTRAINT_ATTRIBUTE_LEFT` for RTL ones.
`GTK_CONSTRAINT_ATTRIBUTE_WIDTH` | The width of a widget.
`GTK_CONSTRAINT_ATTRIBUTE_HEIGHT` | The height of a widget.
`GTK_CONSTRAINT_ATTRIBUTE_CENTER_X` | The center of a widget, on the horizontal axis.
`GTK_CONSTRAINT_ATTRIBUTE_CENTER_Y` | The center of a widget, on the vertical axis.
`GTK_CONSTRAINT_ATTRIBUTE_BASELINE` | The baseline of a widget.